Summary: tex & plain format for use with T1-encoded fonts
Name: dcplain
Version: 0.04
Release: 2
Copyright: distributable
Group: Applications/Publishing/TeX
Source: ftp.fi.muni.cz:/pub/UNIX/localization/linux/dcplain.tar.gz
Requires: tetex
Packager: Jan "Yenya" Kasprzak <kas@muni.cz>
# !!! This source package requires csplain package for building.

%description
This package contains a TeX binary which allows usage
of input ISO 8859-2 text with T1-encoded fonts (e.g. dcfonts
or some PostScript fonts). Formats dcplain and dceplain
with Czech and Slovak hyphenation patterns are included.

%prep

%setup -n dcplain
# initex.chartranslate and virtex.chartranslate are included
# here as binaries. 

%build
# we are not building chartranslate binaries, so %build section is trivial
TEXMFCNF=/usr/lib/texmf/ ./initex.chartranslate dcplain.ini
TEXMFCNF=/usr/lib/texmf/ ./initex.chartranslate dceplain.ini

%install

test -d /usr/lib/texmf/texmf/tex/dcplain \
	 || mkdir /usr/lib/texmf/texmf/tex/dcplain
cp dcplain.ini t1code.tex dceplain.ini /usr/lib/texmf/texmf/tex/dcplain/
cp dcplain.fmt dceplain.fmt /usr/lib/texmf/texmf/web2c/
cp initex.chartranslate virtex.chartranslate /usr/lib/texmf/bin/i586-linux/
ln -sf virtex.chartranslate /usr/lib/texmf/bin/i586-linux/dctex
ln -sf virtex.chartranslate /usr/lib/texmf/bin/i586-linux/dcetex
ln -sf ../lib/texmf/bin/i586-linux/dctex /usr/bin/dctex
ln -sf ../lib/texmf/bin/i586-linux/dcetex /usr/bin/dcetex
ln -sf dcplain.fmt /usr/lib/texmf/texmf/web2c/dctex.fmt
ln -sf dceplain.fmt /usr/lib/texmf/texmf/web2c/dcetex.fmt

%post
/usr/bin/texhash

%postun
/usr/bin/texhash

%files
%dir /usr/lib/texmf/texmf/tex/dcplain
/usr/bin/dctex
/usr/bin/dcetex
/usr/lib/texmf/bin/i586-linux/dctex
/usr/lib/texmf/bin/i586-linux/dcetex
/usr/lib/texmf/texmf/web2c/dcplain.fmt
/usr/lib/texmf/texmf/web2c/dceplain.fmt
/usr/lib/texmf/texmf/web2c/dctex.fmt
/usr/lib/texmf/texmf/web2c/dcetex.fmt
/usr/lib/texmf/texmf/tex/dcplain/dceplain.ini
/usr/lib/texmf/texmf/tex/dcplain/dcplain.ini
/usr/lib/texmf/texmf/tex/dcplain/t1code.tex

